# from a EOF block wrongly treated:
%global __requires_exclude ^perl\\(to\\)$

Name:           drakpxelinux
Version:        1.8
Release:        %mkrel 1
Summary:        PXE default file configurator
License:        GPLv2+
Group:          System/Configuration
URL:            http://gitweb.mageia.org/software/drakpxelinux/
Source0:        http://gitweb.mageia.org/software/drakpxelinux/snapshot/%{name}-%{version}.tar.xz

BuildArch:      noarch

Requires:       perl-Gtk3
Requires:       perl-MDK-Common
Requires:       pxe
Requires:       drakxtools >= 16.37
Requires:       tftp-server
Requires:       xinetd
Requires:       pxelinux

%description
Quick configuration of PXE menu parameters.


%prep
%autosetup

# fix for generation *.mo files
sed -i -e 's|\$(subdirs)|\$(subdir)|' Makefile

%build

%install
%make_install distdir=%{buildroot} localedir=%{buildroot}%{_datadir}/locale

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Drakpxelinux
Comment=%{_vendor} Linux Pxelinux configurator
Exec=%{_sbindir}/%{name}
Icon=configuration_section
Terminal=false
Type=Application
Categories=GTK;Settings;X-Mageia-CrossDesktop;
EOF

# install lang
%find_lang %{name}

%files -f %{name}.lang
%doc default TODO COPYING
%{_sbindir}/%{name}
%{_sbindir}/deployd
%{_sbindir}/deploy_get_autoinst.pl
%{_sysconfdir}/xinetd.d/deployd
%{_sysconfdir}/xinetd.d/deploy_get_autoinst
#%%{_datadir}/%%{name}*
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Mar 13 2017 akien <akien> 1.8-1.mga6
+ Revision: 1092422
- Version 1.8

* Sat Feb 20 2016 umeabot <umeabot> 1.7-3.mga6
+ Revision: 971721
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 daviddavid <daviddavid> 1.7-2.mga6
+ Revision: 892395
- fix empty lang files (s/subdirs/subdir + localedir="")
- update URL and add a Source URL

* Mon May 18 2015 tv <tv> 1.7-1.mga5
+ Revision: 822269
- translations updates

* Fri Jan 02 2015 tv <tv> 1.6-1.mga5
+ Revision: 808043
- translations updates

* Wed Oct 15 2014 umeabot <umeabot> 1.5-5.mga5
+ Revision: 746918
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.5-4.mga5
+ Revision: 733968
- add exclude

* Sat Sep 27 2014 tv <tv> 1.5-3.mga5
+ Revision: 730846
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.5-2.mga5
+ Revision: 678840
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 tv <tv> 1.5-1.mga5
+ Revision: 666032
- fix various "undefined value for mandatory argument 'text'" crashes
- port from FileSelection to FileChooser
- FileSelection no more exists in Gtk3...
- fix a crash (mga#12626)
- bump require

* Sun Aug 17 2014 tv <tv> 1.4-1.mga5
+ Revision: 664938
- fix conversion from gtk2 to gtk3 (mga#12626)

* Thu Dec 05 2013 tv <tv> 1.3-1.mga4
+ Revision: 555343
- convert from gtk2 to gtk3
- translation updates

* Fri Oct 18 2013 umeabot <umeabot> 1.2.2-5.mga4
+ Revision: 521609
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 1.2.2-4.mga3
+ Revision: 391430
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 349089
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 1.2.2-2.mga3
+ Revision: 324403
- rebuild for Mga3 Beta1

* Thu Apr 26 2012 kamil <kamil> 1.2.2-1.mga2
+ Revision: 233294
- new tarball 1.2.2 (updated strings, translations)

* Tue Jan 10 2012 kamil <kamil> 1.2.1-7.mga2
+ Revision: 194778
- adapt package for Mageia
- imported package drakpxelinux

